Bug 244614 - [NEW PORT] devel/dtool: Command-line tool collection to assist development
Summary: [NEW PORT] devel/dtool: Command-line tool collection to assist development
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://github.com/guoxbin/dtool
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-05 18:51 UTC by Lewis Cook
Modified: 2020-05-09 10:06 UTC (History)
1 user (show)

See Also:


Attachments
dtool-0.8.0.diff (28.55 KB, patch)
2020-03-05 18:51 UTC, Lewis Cook
no flags Details | Diff
dtool-0.8.0.log (144.67 KB, text/plain)
2020-03-05 18:51 UTC, Lewis Cook
no flags Details
dtool-0.9.0.diff (28.55 KB, patch)
2020-05-06 19:25 UTC, Lewis Cook
no flags Details | Diff
dtool-0.9.0.log (167.75 KB, text/plain)
2020-05-06 19:26 UTC, Lewis Cook
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook 2020-03-05 18:51:18 UTC
Created attachment 212165 [details]
dtool-0.8.0.diff

Plethora of development tools for
different conversions e.g. numeric,
hex, hash, AES encrypt/decrypt, ECDSA,
regex matching and much more.

WWW: https://github.com/guoxbin/dtool

Testing:
   * No errors reported with portlint, built in Poudriere and
     application works as expected (logs attached).
Comment 1 Lewis Cook 2020-03-05 18:51:35 UTC
Created attachment 212166 [details]
dtool-0.8.0.log

* Poudriere build log.
Comment 2 Hiroki Tagato freebsd_committer 2020-05-06 07:05:55 UTC
Hi, thanks for proposing a new port.

There is a newer version (0.9.0) at GitHub. Would you care to update the patch to the latest version?
Comment 3 Lewis Cook 2020-05-06 19:25:33 UTC
Created attachment 214205 [details]
dtool-0.9.0.diff

* Update to 0.9.0.
Comment 4 Lewis Cook 2020-05-06 19:26:00 UTC
Created attachment 214206 [details]
dtool-0.9.0.log

* Poudriere testport log.
Comment 5 Lewis Cook 2020-05-06 19:26:20 UTC
(In reply to Hiroki Tagato from comment #2)
Done. Cheers!
Comment 6 commit-hook freebsd_committer 2020-05-09 10:04:59 UTC
A commit references this bug:

Author: tagattie
Date: Sat May  9 10:04:32 UTC 2020
New revision: 534728
URL: https://svnweb.freebsd.org/changeset/ports/534728

Log:
  Plethora of development tools for different conversions e.g. numeric,
  hex, hash, AES encrypt/decrypt, ECDSA, regex matching and much more.

  WWW: https://github.com/guoxbin/dtool

  PR:		244614
  Submitted by:	Lewis Cook <vulcan@wired.sh>
  Approved by:	ehaupt (mentor)

Changes:
  head/devel/Makefile
  head/devel/dtool/
  head/devel/dtool/Makefile
  head/devel/dtool/distinfo
  head/devel/dtool/pkg-descr
Comment 7 Hiroki Tagato freebsd_committer 2020-05-09 10:06:06 UTC
Committed, thanks!